gr::satellites::frame_counter Class Reference

Counts frames of fixed size. More...

`#include <frame_counter.h>`

Inheritance diagram for gr::satellites::frame_counter:

## Public Types

typedef std::shared_ptr< frame_counter > | sptr

## Static Public Member Functions

static sptr | make (size_t itemsize, size_t frame_size)
| Build the Frame Counter block.

## Detailed Description

Counts frames of fixed size.

The Frame Counter block counts frames of a fixed size that cross the block and outputs a message every time that new frames have crossed the block. The message contains the count.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<frame_counter> gr::satellites::frame_counter::sptr

## Member Function Documentation

## make()

sptr gr::satellites::frame_counter::make | ( | size_t | itemsize,
|  | size_t | frame_size )

static

Build the Frame Counter block.

Parameters

  itemsize | Size of the stream items.
  frame_size | Size of the frames.

The documentation for this class was generated from the following file:

- frame_counter.h